<!-- navbar -->
<nav class="navbar navbar-expand-lg navbar-light bg-light mb-3">
	<div class="container-fluid">
		<a class="navbar-brand" href="<?php echo $home_url; ?>">XYZ Webstore</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarNav">
			<ul class="navbar-nav">
				<!-- highlight if $page_title has 'Products' word. -->
				<li <?php echo strpos($page_title, "Product")!==false ? "class='active dropdown'" : "class='dropdown'"; ?> class="nav-item dropdown">
					<a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-expanded="false">
						Products
					</a>
					<ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">

						<!-- highlight if page title is 'Active Products' -->
						<li>
							<a <?php echo $page_title=="Active Products" ? "class='dropdown-item active'" : "class='dropdown-item'"; ?> href="<?php echo $home_url; ?>admin/products/read_products.php">Active Products</a>
						</li>

						<!-- highlight if page title is 'Inactive Products' -->
						<li>
							<a <?php echo $page_title=="Inactive Products" ? "class='dropdown-item active'" : "class='dropdown-item'"; ?> href="<?php echo $home_url; ?>admin/products/read_inactive_products.php">Inactive Products</a>
						</li>
						<?php
						// read all categories
						$stmt=$category->readAll_WithoutPaging();
						$num = $stmt->rowCount();

						// loop through retrieved categories
						if($num>0){
							while($row = $stmt->fetch(PDO::FETCH_ASSOC)){

								// higlight if current category name was set and is the same with the category on current loop
								if(isset($category_name) && $category_name==$row['name']){
									echo "<li><a class='dropdown-item active' href='{$home_url}admin/categories/category.php?id={$row['id']}'>{$row['name']}</a></li>";
								}

								// show without highlight
								else{
									echo "<li><a class='dropdown-item' href='{$home_url}admin/categories/category.php?id={$row['id']}'>{$row['name']}</a></li>";
								}
							}
						}
						?>
					</ul>
				</li>

				<!-- highlight for category related pages -->
				<li class="nav-item">
					<a <?php echo $page_title=="Categories"
								|| $page_title=="Create Category"
								|| $page_title=="Update Category"
								|| $page_title=="Category Search Results" ? "class='nav-link active'" : "class='nav-link'"; ?>
						 href="<?php echo $home_url; ?>admin/categories/read_categories.php">Categories</a>
				</li>

				<!-- highlight for order related pages -->
				<li class="nav-item">
					<a <?php echo $page_title=="Orders"
							|| $page_title=="Order Search Results"
							|| $page_title=="Order History"
							|| $page_title=="Order Details" ? "class='nav-link active'" : "class='nav-link'"; ?>
						href="<?php echo $home_url; ?>admin/orders/read_orders.php">
						Orders
						<?php
						// count unread messages
						$pending_orders_count = isset($pending_orders_count) ? $pending_orders_count : $order->countPending();
						echo "<span class='badge bg-danger'>{$pending_orders_count}</span>";
						?>
					</a>
				</li>

				<!-- highlight for user related pages -->
				<li class="nav-item">
					<a <?php
						echo $page_title=="Users"
							|| $page_title=="Create User"
							|| $page_title=="Update User"
							|| $page_title=="User Search Results"
							|| strip_tags($page_title)=="Users / Edit User"
							|| strip_tags($page_title)=="Users / Create User"
							? "class='nav-link active'" : "class='nav-link'"; ?>
						href="<?php echo $home_url; ?>admin/users/read_users.php">Users</a>
				</li>

				<!-- highlight for web pages -->
				<li class="nav-item">
					<a <?php
						echo $page_title=="Pages"
							|| $page_title=="Create Page"
							|| $page_title=="Update Page"
							|| $page_title=="Page Search Results"
							? "class='nav-link active'" : "class='nav-link'"; ?>
						href="<?php echo $home_url; ?>admin/pages/read_pages.php">Web Pages</a>
				</li>

				<!-- highlight for messages -->
				<li class="nav-item">
					<a <?php
						echo $page_title=="Messages"
							|| $page_title=="Read Message"
							|| $page_title=="Message Search Results"
							? "class='nav-link active'" : "class='nav-link'"; ?>
						href="<?php echo $home_url; ?>admin/messages/read_messages.php">
						Messages
						<?php
						// count unread messages
						$unread_message_count = isset($unread_message_count) ? $unread_message_count : $message->countUnread();
						echo "<span class='badge'>{$unread_message_count}</span>";
						?>

					</a>
				</li>
			</ul>

			<!-- options in the upper right corner of the page -->
			<ul class="navbar-nav ml-auto">
				<li class='dropdown'>
					<a class="nav-link dropdown-toggle" href="#" id="userMenu" role="button" data-toggle="dropdown" aria-expanded="false">
						<span class="glyphicon glyphicon-user" aria-hidden="true"></span>
							&nbsp;&nbsp;<?php echo $_SESSION['firstname']; ?>
							&nbsp;&nbsp;<span class="caret"></span>
					</a>
					<ul class="dropdown-menu dropdown-menu-right" aria-labelledby="userMenu">
						<!-- update currently logged in admin user -->
						<li><a <?php echo $page_title=="Update User" ? "class='dropdown-item active'" : "class='dropdown-item'"; ?>href="<?php echo $home_url; ?>admin/users/update_user.php?id=1">Edit Profile</a></li>

						<!-- change password of logged in admin -->
						<li><a <?php echo $page_title=="Change Password" ? "class='dropdown-item active'" : "class='dropdown-item'"; ?> href="<?php echo $home_url; ?>admin/users/change_password.php">Change Password</a></li>

						<!-- settings for contact form and more -->
						<li><a <?php echo $page_title=="Settings" ? "class='dropdown-item active'" : "class='dropdown-item'"; ?> href="<?php echo $home_url; ?>admin/settings.php">Settings</a></li>

						<!-- log out user -->
						<li><a class='dropdown-item' href="<?php echo $home_url; ?>logout.php">Logout</a></li>
					</ul>
				</li>
			</ul>

		</div><!--/.nav-collapse -->

	</div>
</nav>
<!-- /navbar -->
