<?php
class PayPalCheckout {

	// class variables
	public $business='ninjazhai_merchant@gmail.com'; //paypal - merchant email address
	public $currency='USD';
	public $cursymbol='&#36;';
	public $location='USA';
	public $returnurl='';
	public $returntxt='Return to the awesome site';
	public $cancelurl='';
	public $shipping='0';
	public $custom='';
	public $items=array();

	// class constructor
	public function __construct(){

	}

	// add one item to cart
	public function addSimpleItem($item){
		// check quantity and name
		if(
			!empty($item['quantity'])
			&& is_numeric($item['quantity'])
			&& $item['quantity']>0
			&& !empty($item['name'])
		){
			// add the item to the cart if it is correct
			$items = $this->items;
			$items[] = $item;
			$this->items = $items;
		}
	}

	// add items to the cart
	public function addMultipleItems($items){
		if(!empty($items)){
			// loop through the items
			foreach($items as $item){
				// add them 1 by 1
				$this->addSimpleItem($item);
			}
		}
	}

	// place order form
	public function getCheckoutForm(){

		$form='<form id="paypal_checkout" action="https://www.sandbox.paypal.com/cgi-bin/webscr" method="post">';

		// variables defining a cart, there shouldn't be a need to change those
		$form.='<input type="hidden" name="cmd" value="_cart" />
			<input type="hidden" name="upload" value="1" />
			<input type="hidden" name="no_note" value="0" />
			<input type="hidden" name="bn" value="PP-BuyNowBF" />
			<input type="hidden" name="tax" value="0" />
			<input type="hidden" name="rm" value="2" />';

		// personnalised variables, they get their values from the specified settings and the class attributes
		$form.='<input type="hidden" name="business" value="'.$this->business.'" />
			<input type="hidden" name="handling_cart" value="'.$this->shipping.'" />
			<input type="hidden" name="currency_code" value="'.$this->currency.'" />
			<input type="hidden" name="lc" value="'.$this->location.'" />
			<input type="hidden" name="return" value="'.$this->returnurl.'" />
			<input type="hidden" name="cbt" value="'.$this->returntxt.'" />
			<input type="hidden" name="cancel_return" value="'.$this->cancelurl.'" />
			<input type="hidden" name="custom" value="'.$this->custom.'" />';

		// items in the cart
		$cpt=1;
		if(!empty($this->items)){
			foreach($this->items as $item){
				$shipping=isset($item['shipping']) ? $item['shipping'] : "";

				$form.='<div id="item_'.$cpt.'" class="itemwrap">
							<input type="hidden" name="item_name_'.$cpt.'" value="'.$item['name'].'" />
							<input type="hidden" name="quantity_'.$cpt.'" value="'.$item['quantity'].'" />
							<input type="hidden" name="amount_'.$cpt.'" value="'.$item['price'].'" />
							<input type="hidden" name="shipping_'.$cpt.'" value="'.$shipping.'" />
						</div>';
				$cpt++;
			}
		}

		// submit button, (you can specify here your own button)
		$form.='<button id="ppcheckoutbtn" type="submit" class="btn btn-lg btn-success btn-paypal display-none" />';
			$form.='<span class="glyphicon glyphicon-shopping-cart"></span> Pay';
		$form.='</button>';

		$form.='</form>';

		return $form;
	}
}


?>
